import { useRequest } from "@/use/useHttp"

/**
 * 解密用户微信信息
 */
 export const GetWxUserInfoApi = () => {
    return useRequest({
        url: `/v1/mall/user/decrypt`,
        method: "post",
    })
}

/**
 * 获取后台返回的用户信息
 */
 export const GetAdminUserInfoApi = () => {
    return useRequest({
        url: `/v1/mall/user/info`,
        method: "get",
    })
}

/**
 * 获取后台返回的用户手机号码信息
 */
 export const GetPhoneNumberApi = () => {
    return useRequest({
        url: `/v1/mall/user/phoneNumber`,
        method: "post",
    })
}

/**
 * 修改用户昵称
 */
 export const realNameUpdateApi = () => {
    return useRequest({
        url: `/v1/mall/user`,
        method: "put",
    })
}

/**
 * 公司类型|企业类型 下拉列表
 */
 export const companyTypeApi = () => {
    return useRequest({
        url: `/v1/mall/enum/purchaserType`,
        method: "get",
    })
}

/**
 * 头像更改
 */
 export const portraitUpdateApi = () => {
    return useRequest({
        url: `/v1/mall/user/avatar`,
        method: "put",
    })
}

